## ros-noetic-pr2-description 1.13.1

=== debian/changelog ===
ros-noetic-pr2-description (1.13.1-1focal) focal; urgency=high

  * allow pr2.urdf.xacro to accept customized calibration values (#285 <https://github.com/PR2/pr2_common/issues/285>)
    If 0.0, use the default values. (This retains backward compatibility)
    If not 0.0, use the passed values. (Enable custom calibration values for all macro instantiations
    Using 0.0 to trigger the old defaults is necessary because some default values need to be computed from other parameters.
  * Contributors: Shuang Li

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 06 Sep 2022 15:00:00 -0000

ros-noetic-pr2-description (1.13.0-1focal) focal; urgency=high

  * Cleanup collision/auxiliary shapes in urdf (#280 <https://github.com/pr2/pr2_common/issues/280>)
    
      * remove auxiliary shapes from kinect2 links
        If one wants to see the frames, just enable the frame in RViz.
        There is no need whatsoever to keep these in the description.
      * provide bounding box for kinect2 spoiler
        to enable *some* collision checking.
        It was not enabled at all before and it's barely in the workspace of the arms at all (without tool use).
        So a rough bounding box is fine.
      * remove useless visual geometry
        MoveIt master recently changed its policy w.r.t. empty collision geometries.
        The current version complains:
        ros.moveit_core.robot_model.empty_collision_geometry: Link sensor_mount_link has visual geometry but no collision geometry. Collision geometry will be left empty. Fix your URDF file by explicitly specifying collision geometry.
        ros.moveit_core.robot_model.empty_collision_geometry: Link double_stereo_link has visual geometry but no collision geometry. Collision geometry will be left empty. Fix your URDF file by explicitly specifying collision geometry.
        As these visuals are not helpful and do not add anything to the description, I just remove them.
      * remove guessed inertia on base_footprint
        These values are obviously fictitious (the whole link is...)
        Additionally, KDL datastructures have been complaining about this for ages
        because KDL does not support inertials for the model root
        (whatever that means).
    
  * cleanup rviz errors (#278 <https://github.com/pr2/pr2_common/issues/278>)
    
      * use collada to store kinect mesh
        The STL produced the following warning with RViz:
        [ WARN]: The STL file 'package://pr2_description/meshes/sensors/kinect2_v0/kinect2_assembly.STL' is malformed. It starts with the word 'solid', indicating that it's an ASCII STL file, but it does not contain the word 'endsolid' so it is either a malformed ASCII STL file or it is actually a binary STL file. Trying to interpret it as a binary STL file instead.
      * fix TIFFFieldWithTag errors by converting to png files
        The error seems to stem from a problem in libtiff, so a reasonable
        way to resolve it was to change to a different file format.
        The texture files should not be used in isolation from the corresponding
        dae file, so removing the old tiff files retains API.
    
  * Contributors: Kei Okada, v4hn

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 10 Aug 2020 15:00:00 -0000

ros-noetic-pr2-description (1.12.4-1focal) focal; urgency=high

  * Merge pull request #274 <https://github.com/PR2/pr2_common/issues/274> from knorth55/fix-gripper
    Revert #255 <https://github.com/PR2/pr2_common/issues/255>
  * Revert "[pr2_description] fix: gripper reduction 3141.6 -> 314.16"
    This reverts commit d5c8f476c6882b74a03bdc39eccf36823da3ad97.
  * Contributors: Kei Okada, Shingo Kitagawa

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 23 Apr 2019 15:00:00 -0000

ros-noetic-pr2-description (1.12.3-1focal) focal; urgency=high

  * Merge pull request #272 <https://github.com/pr2/pr2_common/issues/272> from k-okada/add_travis
    update travis.yml
  * ModelInterfaceSharedPtr is only available on newer urdfdom
  * fix for urdfmodel 1.0.0 (melodic)
  * test_urdf uses rosrun within the code
  * Merge pull request #270 <https://github.com/pr2/pr2_common/issues/270> from TAMS-Group/pr-kinetic-fixed-xmlns
    xmlns should include www
  * xmlns should include www
    According to the tutorials:
    http://wiki.ros.org/urdf/Tutorials/Using%20Xacro%20to%20Clean%20Up%20a%20URDF%20File
    xacro complains when some xacro components specify the URL
    as http://www.ros.org/wiki/xacro and others
    as http://ros.org/wiki/xacro.
  * Contributors: Kei Okada, v4hn

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 09 Sep 2018 15:00:00 -0000

ros-noetic-pr2-description (1.12.2-1focal) focal; urgency=high

  * Merge pull request #269 <https://github.com/pr2/pr2_common/issues/269> from bmagyar/kinetic-devel
    Fix pr2_description warnings
  * Remove playerstage xml schemas
  * xacro.py -> xacro
  * Contributors: Bence Magyar

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 17 Apr 2018 15:00:00 -0000

ros-noetic-pr2-description (1.12.1-1focal) focal; urgency=high

  * Merge pull request #267 <https://github.com/pr2/pr2_common/issues/267> from k-okada/maintainer
    change maintainer to ROS orphaned package maintainer
  * change maintainer to ROS orphaned package maintainer
  * Merge pull request #266 <https://github.com/pr2/pr2_common/issues/266> from furushchev/use-arg
    pr2.urdf.xacro: support xacro:arg
  * pr2.urdf.xacro: support xacro:arg
  * Merge pull request #260 <https://github.com/pr2/pr2_common/issues/260> from davetcoleman/inconsistent_namespace
    Fix inconsistent namespace redefinitions for xmlns:xacro
  * Merge pull request #259 <https://github.com/pr2/pr2_common/issues/259> from davetcoleman/prepend_xacro_namespace
    Prepend xacro tags with xacro xml namespace

