=== debian/control ===
Source: ros-noetic-pr2-description
Section: misc
Priority: optional
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), libgtest-dev <!nocheck>, liburdfdom-dev <!nocheck>, ros-noetic-catkin, ros-noetic-convex-decomposition, ros-noetic-ivcon, ros-noetic-rosbash <!nocheck>
Homepage: http://ros.org/wiki/pr2_description
Standards-Version: 3.9.2

Package: ros-noetic-pr2-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-xacro
Description: This package contains the description (mechanical, kinematic, visual, etc.) of the PR2 robot.
 The files in this package are parsed and used by a variety of other components. Most users will not interact directly with this package.
